@import url('https://fonts.googleapis.com/css2?family=Alexandria:wght@100..900&family=Almarai:wght@300;400;700;800&family=Cairo:wght@200..1000&family=El+Messiri:wght@400..700&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap" rel="stylesheet"');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior:smooth;
}
.btn{
     font-size: 1.2em;
    display: inline-block;
    text-decoration: none;
    margin-top: 2rem;
    background-color: #1A3E5A;
    color: #fff;
    padding: .2em .9em;
    border-radius: 25px;
    cursor:pointer;
    transition: 0.3s;
}
.btn:hover{
    background-color: var(--bg--color-two);
}
:root{
    --bg-color: #f1f1f1;
    --bg--secondary: #fbdbfb;
    --bg--color-one: #1A3E5A;
    --bg--color-two: #055B50;
    --black:#1f2226;

}
.container{
    width: 100%;
    max-width: 1200px;
    margin: auto;
}
.container2{
    width: 1200;
    max-width: 80%;
    margin: auto;
}
body{
    font-family: "Open Sans", sans-serif;
    /* background-color:var(--bg-color) ; */
}
h1{
    /* font-family: "Alexandria", sans-serif; */
      font-family: "Almarai", sans-serif;
      /* font-family: "El Messiri", sans-serif; */
}
h3{
    font-family: "Almarai", sans-serif;
    /* font-family: "El Messiri", sans-serif; */
    /* font-family: "Cairo", sans-serif;
    font-family: "Alexandria", sans-serif; */
}
p{
    font-family: "Alexandria", sans-serif;
    /* font-family: "El Messiri", sans-serif; */
}

ul{
    list-style: none;
     direction: rtl;
}
a{
    text-decoration: none;
    font-family: "Almarai", sans-serif;
}
/* --------------------------------------------------------------------------- */
header{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 90px;
    background-color:  rgb(255, 255, 255);
    border-bottom: 1px solid #ccc;
    z-index: 999;
    padding: 8 200px;
    direction: rtl;
}
header select{
    color: #fff;
    display: flex;
    justify-content: center;
    position: relative;
    min-width: 25;
    height: 35px;
    border: none;
    appearance: none;
    padding: 0 30px 0 15px;
    width: 100%;
    background-color: #1A3E5A;
    border-radius: 20px;
    
}
   select .icon-lang{
    width: 15px;
    height: 100%;
    position: absolute;
    /* margin-top: 20px; */
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #b61382;

}
/* --------------------icons-------------------- */
header nav .icons{
    display: flex;
    gap: 30px;
}
header nav .icons a{
    color: var(--main_color);
    font-size: 23px;
    color: #1A3E5A;
    align-items: center;
    justify-content: center;
    display: flex;
    transition: 0.3s;
}

header nav .icons a:hover{
    scale: 1.4;
    color: #055B50;
}
header nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}
header nav .logo img{
    width: 12em;
}
header nav .links{
    direction: rtl;
    display: flex;
    gap: 40px;
}
header nav .links a{
   color: var(--bg--color-one);
    font-size: 1.3em;
    margin:0 10px;
    font-weight:500;
    transition:all 0.3s ease ;
    font-family: "Alexandria", sans-serif;
}
header nav .links a:hover{
    background-color: #055B50;
    color: #fff;
    padding:10px;
    border-radius: 5px;
}
header.icons{
    display: flex;
    /* flex-direction: row; */
}
header .icons img{
    width: 30px;
    height: 28px;
}
/* #header{
    position: fixed;
    background-color:  rgb(255, 255, 255);;
    width: 100%;
    border-bottom: 1px solid #ccc;
    z-index: 999;
    padding: 8 200px;
     height: 90px;
}
#header .nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1500px;
    margin: auto;
    height: 90px;
} */
/* #header .nav .logo .links{
    display: flex;
    gap: 40px;
}
#header .nav .logo img{
    width: 5em;
}
#header .navbar ul{
    display: flex;
}
#header .navbar ul li a{
    color: var(--bg--color-one);
    font-size: 1.3em;
    margin:0 20px;
    font-weight:500;
    transition:all 0.3s ease ;
    font-family: "Alexandria", sans-serif;
}
#header .navbar ul li a:hover{
    background-color: #055B50;
    color: #fff;
    padding: 10px;
    border-radius: 8px;
} */
/* ............................................................................................................. */

#home .content_text{
    /* left: 500px; */
    /* top: 80px; */
    position:relative;
    direction: rtl; 
    /* text-align: center; */
    /* display: flex; */
    /* align-items: center; */
}
#home{
    background: url('./image/banner-image.jpg') center no-repeat;
    background-size:100%;
    background-color: var(--bg-color);
    display: flex ;
    align-items: center;
    background-attachment: fixed;
    min-height: 100vh;
    background-position: center;
}

/* #home .home_content{ */
    /* gap: 3rem;s */
    /* grid-template-columns: repeat(2,1fr); */
    /* right: 1000px; */
    /* transform: translate(-50% , -50%);  */
    
    /* display:flex;
    min-height: 100vh;
    align-items: center;
    bottom: 0px;
    justify-items: center;
    width: 100%; */
/* } */
 /* #home .home_content{
    position: absolute;
    top: 50%;
    left: 50%;
    display: grid;
    width: 100%;
} */
#home .home_content .content_text h1 {
    font-size: 2.2em;
    line-height: 1.5;
    color:#fff;
    font-weight: bold;
    transform: translateY(50px);
    filter:blur(20px);
    opacity:0;
    animation: showContent 0.5s 1s linear 1 forwards;
    /* background-color:#1A3E5A; */
}

@keyframes showContent {
        to{
            opacity: 1;
            filter: blur(0);
            transform: translateY(0);
        }
    }
#home .home_content .content_text h3 {
    font-size: 1.9em;
    font-weight: bold;
    color:#fff;
    transform: translateY(50px);
    filter:blur(20px);
    opacity:0;
    animation: showContent .7s 1s linear 1 forwards;
}
#home .home_content .content_text a {
    font-size: 1.2em;
    display: inline-block;
    text-decoration: none;
    margin-top: 2rem;
    background-color: #1A3E5A;
    color: #fff;
    padding: .2em .9em;
    border-radius: 25px;
    font-weight: 500;
      transform: translateY(50px);
    filter:blur(20px);
    opacity:0;
    animation: showContent 1s 1s linear 1 forwards;
}
#home .home_content .content_text a:hover {
    background-color: #055B50;
    transition: all 0.3s ease;
}

#home .home_content .content_text p {
    font-size: 22px;
    font-weight: bold;
    background-color: rgba(26, 62, 90,0.6);
    color:#fff;
    line-height: 1.9;
    padding: 20px;
      transform: translateY(50px);
    filter:blur(20px);
    opacity:0;
    animation: showContent .9s 1s linear 1 forwards;
}
/*--------------------------------- Home end -----------------------------------------------*/
#about{
    background: url('./image/about.png') center no-repeat;
    background-size:100%;
    background-color: var(--bg-color);
    padding: 4rem 0; 
    direction: rtl; 
}
/* 
#about .row{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    min-height: 100vh;
    gap: 2rem;
    align-items: center;
    right: 1000px;
    bottom: 0px;
}

#about .row .about-contant h2{
    margin: 2rem;
} */
.title{
    display: flex;
    justify-content: center;
    color: #1A3E5A;
    font-size: 2.2em;
    font-weight: 800;
    margin-bottom: 30px;   
    margin-top: 30px; 
}
.contant{
    display: flex;
    justify-content: center;
    flex-direction: row;
    flex-wrap: wrap;
}
.card{
    background-color: #fff;
    width: 21em;
    box-shadow: 0 5px 25px rgba(1 1 1 /15%);
    border-radius: 10px;
    padding: 25px;
    padding: 25px;
    margin: 15px;
    transition: 0.7s ease;
}

 .card:hover{
    transform: scale(1.1);
}
.icon{
    font-size: 3em;
    color:#1A3E5A;
    text-align: center;
}
.info{
    text-align: center;
}
.info h3{
    color:#1A3E5A;
    font-size: 1.4em;
    font-weight: 700;
    margin: 10px;
}
.info p{
    line-height: 25px;
    
}
.cards .title{
    margin-top: 0px;
}
/* --------------------------------------------------- About end --------------------------------------------- */
/* img{
    width: 100%;
    max-width: 400px;
    object-fit: cover;
    vertical-align: middle;
} */
 .projects{
    background:#1A3E5A;
    padding: 25px;
 }
  .projects .title{
    color: #fff;
 }
.projects .contant{
    margin-top: 30px;
     direction: rtl;
}
.project-card{
    background: #fff;
    border: 1px solid #fff;
    min-height: 14em;
    width: 23em;
    overflow: hidden;
    border-radius: 10px;
    margin: 20px;
    transition: 0.7s ease;
   
}
.project-card:hover{
    transform: scale(1.1);
}
.project-img img{
    width: 100%;
}
.project-info{
    padding: 1em;
}
.project-info h3{
    text-align: center;
    padding: 5px;
    margin-bottom: 10px;
    font-size: 1.7em;
    color: #1A3E5A;
}
.project-info p{
    /* text-align: center; */
    direction: rtl;
    padding: 5px;
    line-height: 2;
}
/* ------------------------------------end servers------------------------------------ */
/* ------------------------------------start contact------------------------------------ */
.cards-contact{
    padding: 25px;
    max-width: 1200px;
    margin: auto;
  
}
.cards-contact .contant{
    display: flex;
    justify-content: space-between;
}
.cards-contact .title{
    margin-bottom: 100px;
}
.cards-contact .social{
    width: 30%;
}
.cards-contact .social .link{
    display: flex;
    flex-direction: column;
}
.cards-contact .social .icons{
    display: flex;
    gap: 30px;
}
.cards-contact .social .icons a{
    display: flex;
    color: var(--main_color);
    font-size: 28px;
    color: #1A3E5A;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
    margin-bottom: 20px;
    transition: 0.3s;
}

.cards-contact .social .icons a:hover{
    scale: 1.4;
    color: #055B50;
}
.cards-contact .social .link a{
    font-size: 18px;
    color: #1A3E5A;
    margin-bottom: 25px;
    position: relative;
    left: 0;
    transition: 0.3s;
}
.cards-contact .social .link a i{
    margin-right: 15px;
    width: 35px;
    height: 35px;
    color: #fff;
    background:#1A3E5A;
    text-align: center;
    line-height: 35px;
    border-radius: 8px;
}
.cards-contact .social .link a:hover{
    left: 15px;
}

.cards-contact form{
    width: 60% ;
    text-align: center;
}
.cards-contact form .inpot_form{
    width: 100% ;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.cards-contact form .inpot_form input,
.cards-contact form .inpot_form textarea{
   border-radius: 7px;
   padding: 20px;
   outline: none;
   color: #1A3E5A;
   margin-bottom: 30px;
   border: 2px solid var(--bg--color-one);
   transition: 0.3s;
}
.cards-contact form .inpot_form input{
    width: 48%;
}
.cards-contact form .inpot_form textarea{
    width: 100%;
}
.cards-contact form .inpot_form input:focus ,
.cards-contact form .inpot_form textarea:focus{
     border-color: #008f7c;
}

/* .cards-contact .btn{
    outline: none;
    cursor:pointer;
    transition: 0.3s;
    
} */
/* ...............................contant............................................. */
/* ------------------------------start responsive------------------------------ */
.close_menu,
.logoo,
.icon_menu{
    display: none;
}

@media (max-width:1023px){
   .container{
    width: 90%;
    }
   .container2{
    width: 90%;
    }
    /* header{
        padding: 0px 20px;
        width: 100%;
    } */
    .title{
        font-size: 2.2em;
    }
    section{
        padding: 88 20px;
    }
    #home .home_content{
        padding: 80 20px;
    }
    #home .home_content .content_text h1{
        font-size: 1.9em;
        /* margin-bottom: px; */
    }
    #home .home_content .content_text h3{
        font-size: 1.7em;
        /* margin-bottom: 30px; */
    }
    #home .home_content .content_text p{
        font-size: 1.01em;
        line-height: 1.6;
    }
   
}
@media (max-width:800px){
   
    header nav .links a{
    color:#fff;
    font-size: 1.3em;
    margin:0 10px;
    font-weight:500;
    transition:all 0.3s ease ;
    font-family: "Alexandria", sans-serif;
}

   header nav .links{
    position: fixed;
    top: 0;
    flex-direction: column;
    width: 400px;
    background: rgba(26, 62, 90,0.95);
    right: -400px;
    padding: 50 0;
    height: 100%;
    border-left:1px solid #055B50;
    text-align: center;
    transition: 0.3s;
   }
   header nav .links.active{
    right: 0;
   }
   .close_menu{
    /* padding-top: 20px; */
    display: block;
    font-size: 28px;
    color: #fff;
    position: absolute;
    top: 30px;
    right: 30px;
   }
   .logoo{
    display: block;
   }
   .icon_menu{
    display: block;
    font-size: 28px;
   }
   
   /* --------contact --------------- */
   .cards-contact .contant{
       display: flex;
       flex-direction: column;
    }
    .cards-contact .social{
        width: 100%;
    }    
    .cards-contact .social .link{
        flex-direction: row;
        flex-wrap: wrap;
    }    
    /* .cards-contact .social .link a{ 
        width: 30px;
        font-size: 16px;
    }     */
    .cards-contact .social .link a i{ 
        width: 30px;
        font-size: 16px;
    }    
    .cards-contact .social .link a i{
    margin-right: 15px;
    width: 30px;
    height: 30px;
    color: #fff;
    background:#1A3E5A;
    text-align: center;
    line-height: 30px;
    border-radius: 8px;
}
    .cards-contact form{
        width: 80%;
        margin: 0 auto ;
    }

    header nav .icons a{
    display: none;
}
     

    #home{
    background: url('./image/banner-image2.png') center no-repeat;
    background-size:100%;
    background-color: var(--bg-color);
    display: flex ; 
    align-items: center;
    background-attachment: fixed;
    min-height: 100vh;
    background-position: center;
}
}